CGAL 6.2 - dD Geometry Kernel

Loading...
Searching...
No Matches
List of all members | Public Member Functions | Friends
CGAL::Epick_d< DimensionTag >::Vector_d Class Reference

`#include <CGAL/Epick_d.h>`

## Definition

template<typename DimensionTag>
class CGAL::Epick_d< DimensionTag >::Vector_d

represents a vector in the Euclidean space

Is model of
  `DefaultConstructible`
  `Assignable`

## Public Member Functions
| Vector_d (double x0, double x1,...)
| introduces a vector with coordinates (x0, x1, ...) where the number of coordinates matches the dimension.
template<typename InputIterator >
| Vector_d (InputIterator first, InputIterator end)
| introduces a vector with coordinate set `[first,end)`.
double | operator[] (int i) const
| returns the i-th coordinate of a vector.
Cartesian_const_iterator_d | cartesian_begin () const
| returns an iterator pointing to the zeroth Cartesian coordinate.
Cartesian_const_iterator_d | cartesian_end () const
| returns an iterator pointing beyond the last Cartesian coordinate.

## Friends
bool | operator== (Vector_d, Vector_d)
| returns whether the vectors coincide.
bool | operator!= (Vector_d, Vector_d)
| returns whether the vectors are distinct.

## Constructor & Destructor Documentation

## ◆ Vector_d() [1/2]

template<typename DimensionTag >

CGAL::Epick_d< DimensionTag >::Vector_d::Vector_d | ( | double | x0,
|  | double | x1,
|  |  | ...
| ) |  |

introduces a vector with coordinates (x0, x1, ...) where the number of coordinates matches the dimension.

Precondition
  `DimensionTag` is a fixed dimension, not `Dynamic_dimension_tag`.

## ◆ Vector_d() [2/2]

template<typename DimensionTag >
template<typename InputIterator >

CGAL::Epick_d< DimensionTag >::Vector_d::Vector_d | ( | InputIterator | first,
|  | InputIterator | end
| ) |  |

introduces a vector with coordinate set `[first,end)`.

Precondition
  If `DimensionTag` is a fixed dimension, it matches `std::distance(first,end)`.

Template Parameters

  InputIterator | has its value type that is convertible to `double`.

## Member Function Documentation

## ◆ operator[]()

template<typename DimensionTag >

double CGAL::Epick_d< DimensionTag >::Vector_d::operator[] | ( | int | i | ) | const

returns the i-th coordinate of a vector.

Precondition
  `i` is non-negative and less than the dimension.

## Friends And Related Function Documentation

## ◆ operator!=

template<typename DimensionTag >

bool operator!= | ( | Vector_d | ,
|  | Vector_d |
| ) |  |
| friend

returns whether the vectors are distinct.

This may not be safe if the vectors are the result of inexact constructions.

## ◆ operator==

template<typename DimensionTag >

bool operator== | ( | Vector_d | ,
|  | Vector_d |
| ) |  |
| friend

returns whether the vectors coincide.

This may not be safe if the vectors are the result of inexact constructions.